<template>
  <div
    @click="$emit('click')"
    class="flex flex-col px-[5vw] py-[4vw] w-full h-[26vw] bg-cover"
    :style="{ backgroundImage: `url('${backgroundImage}')` }"
  >
    <img
      :src="appDownload"
      v-if="appDownload !== ''"
      class="object-contain h-full ml-auto"
    />
    <p class="text-[#373737] absolute text-[14px] top-[5vw] font-medium max-w-[145px] truncate">
      {{ name1 }}
    </p>
    <span class="text-[#919bbe] absolute text-[12px] top-[11vw] w-[36vw]">{{
      name2
    }}</span>
    <div class="flex flex-row items-center logo-tags gap-1 absolute bottom-2" v-if="isNew || isHot">
      <img
      v-if="isNew"
        :src="
          getAssetImage(
            'assets/theme/common/icon/new_icon.svg'
          )
        "
      />
      <img
      v-if="isHot"
        :src="
          getAssetImage(
            'assets/theme/common/icon/hot_icon.svg'
          )
        "
      />
    </div>
  </div>
  <div
    v-if="isMaintain"
    class="absolute w-12 h-12 top-[24px] left-[110px] z-[2]"
  >
    <img
      :src="getAssetImage('assets/theme/common/icon/icon_maintainance.png')"
      alt=""
    />
  </div>
</template>

<script setup lang="ts">
defineProps({
  backgroundImage: {
    type: String,
    required: true,
  },
  name1: {
    type: String,
    required: false,
    default: "",
  },
  name2: {
    type: String,
    required: false,
    default: "",
  },
  isMaintain: {
    type: Boolean,
    default: false,
  },
  isHot: {
    type: Boolean,
    default: false,
  },
  isNew: {
    type: Boolean,
    default: false,
  },
  appDownload: {
    type: String,
    default: "",
  },
});
const { getAssetImage } = commonHelper;
</script>
